
set( artdaq_core_VERSION 1.04.20 )
set( artdaq_core_UPS_VERSION v1_04_20 )


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was product-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################


## find_ups_product directives
## remember that these are minimum required versions
    find_ups_boost( v1_53_0 )
    find_ups_product( art v1_08_10 )
    find_ups_product( cppunit v1_12_1a )
    find_ups_product( gccxml v0_9_20140718a )
    find_ups_product( clhep v2_2_0_3 )
    find_ups_product( cetpkgsupport v1_08_03 )
    find_ups_product( cetlib v1_08_00 )
    find_ups_product( cpp0x v1_03_02 )
    find_ups_product( fhiclcpp v3_04_00 )
    find_ups_product( sqlite v3_07_15_00 )
    find_ups_product( messagefacility v1_14_01 )
    find_ups_root( v5_34_20 )
    find_ups_product( tbb v4_1 )


## find_library directives
    if( NOT SQLITE3 )
      cet_find_library( SQLITE3 NAMES sqlite3_ups PATHS ENV SQLITE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT CLHEP )
      cet_find_library( CLHEP NAMES CLHEP PATHS ENV CLHEP_LIB_DIR NO_DEFAULT_PATH )
    endif()
    if( NOT CPPUNIT )
      cet_find_library( CPPUNIT NAMES cppunit PATHS ENV CPPUNIT_LIB NO_DEFAULT_PATH )
    endif()
      set( ARTDAQ-CORE_UTILITIES  $ENV{ARTDAQ_CORE_LIB}/libartdaq-core_Utilities.so )
      set( ARTDAQ-CORE_DATA  $ENV{ARTDAQ_CORE_LIB}/libartdaq-core_Data.so )
      set( ARTDAQ-CORE_DATA_DICT  $ENV{ARTDAQ_CORE_LIB}/libartdaq-core_Data_dict.so )
      set( ARTDAQ-CORE_CORE  $ENV{ARTDAQ_CORE_LIB}/libartdaq-core_Core.so )
      set( ARTDAQ-CORE_GENERATORS  $ENV{ARTDAQ_CORE_LIB}/libartdaq-core_Generators.so )
      set( ARTDAQ-CORE_BUILDINFO  $ENV{ARTDAQ_CORE_LIB}/libartdaq-core_BuildInfo.so )
      set( ARTDAQ-CORE_ARTMODULES_ARTDAQCOREBUILDINFO_MODULE  $ENV{ARTDAQ_CORE_LIB}/libartdaq-core_ArtModules_ArtdaqCoreBuildInfo_module.so )
      set( ARTDAQ-CORE_ARTMODULES_PRINTBUILDINFO_MODULE  $ENV{ARTDAQ_CORE_LIB}/libartdaq-core_ArtModules_PrintBuildInfo_module.so )
      include_directories ( $ENV{ARTDAQ_CORE_INC} )

check_required_components(artdaq_core)

